Skip to main content
POST
/
credits
/
coupons
/
redeem
Redeem credit coupon
curl --request POST \
  --url https://api.veryfront.com/credits/coupons/redeem \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "code": "FREE100"
}
'
{
  "credits_granted": 100,
  "balance": {
    "tier": 50,
    "purchased": 100,
    "total": 150
  },
  "transaction_id": "<string>"
}

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Body

application/json
code
string
required

Stripe promotion code to redeem for Veryfront credits

Required string length: 1 - 100
Example:

"FREE100"

Response

Coupon redemption result

status
enum<string>
required

Coupon redemption result

Available options:
redeemed,
already_redeemed
credits_granted
integer
required

Credits granted by this request

Required range: x >= 0
Example:

100

balance
object
required

Updated credit balance

transaction_id
string | null
required

Credit transaction associated with the redemption